/***********/ local filename = "wikidis_cr_Lx_post_cleaning_without_umlaut" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close



include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file homogenizes the main L1 data files with the ones from the link-poition analysis:
	1.) it first takes the L1 panel data and keeps only observations that can be combined with the link position data
desc_end ***/



*foreach linkdistance in L2 {
local linkdistance L1
local startdata = "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_post_cleaning.dta"

use "`startdata'", clear


* merge with link-position data to achieve a homogeneous sample:
*******************
local linkposition_data = "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_with_link_position_in_L0.dta"	
merge m:1 start_page_name page_id placebo_state using `linkposition_data', keepusing(L0_clicks_per_link link_20_aggregator flag_link_20_5 flag_link_20_4 flag_link_20_3 flag_link_20_2 flag_link_20_1 max_link_position_rel /*
	*/link_position_relative merger_Peaks_link_posit merger_pos_title link_title revid1 page_L0_title featrd_page_index merger_peak_id)  /* note for any overlaps the master-data is kept */
rename _merge merger_homog_base_data
tab merger_homog_base_data

* datasets are different, master contains untreated and placebos 
	** => find placebos that correspond to unmatched treaters.

gen flag_unmatched_treater = merger_homog_base_data == 1 & flag_treated & placebo_state == 0
sort start_page_name page_id
by start_page_name page_id: egen flag_unmatched_treated = max(flag_unmatched_treater)
tab flag_unmatched_treate*
drop if flag_unmatched_treated



* save homogenized data
**************************
save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_post_cleaning_without_umlaut.dta", replace


clear
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
