/***********/ local filename = "wikidis_cr_`DisPod'_L1_with_L0_peaks_without_umlaut" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close



include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file homogenizes the L1_peak data files with the ones from the link-poition analysis:
	2.) it  takes the L1_peak data (cross-section)  and keeps only observations that can be combined with the link position data
desc_end ***/


****************************************
* Now, merge peak-data with link-position data to achieve a homogeneous sample:
****************************************
local linkdistance L1


	use "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_with_L0_peaks.dta", clear

	local linkposition_data = "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_with_link_position_in_L0.dta"	
	merge 1:1 start_page_name page_id placebo_state using `linkposition_data'  /* note for any overlaps the master-data is kept */
	rename _merge merger_homog_click_peaks
	tab merger_homog_click_peaks

	* datasets are different, master contains untreated and placebos 
		** => find placebos that correspond to unmatched treaters.

	gen flag_unmatched_treater = merger_homog_click_peaks == 1 & flag_treated & placebo_state == 0
	sort start_page_name page_id
	by start_page_name page_id: egen flag_unmatched_treated = max(flag_unmatched_treater)
	tab flag_unmatched_treate*
	drop if flag_unmatched_treated


	* save homogenized data
	**************************
	save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_with_L0_peaks_without_umlaut.dta", replace

clear
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
