/***********/ local filename = "wikidis_cr_PoD_link_position_in_text" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close


include "${PATH_EXTRA_PLUGIN}print_execute.do"

include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file ...
puts together the Link_peak dataset and the dataset that contains info on the position of the link in the original L0-text
desc_end ***/


*foreach linkdistance in L2 {
local linkdistance L1

* Pepare the Link_Position_data
***********************************

local linkposition_data_path "${PATH_TO_DATA_PREP}Python_determine_Link_Position/"
local linkposition_data_raw "pagelinks_PoD_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}_linklist_first_rev_of_day.txt"
di "`linkposition_data_raw'"
pe insheet using "`linkposition_data_path'`linkposition_data_raw'", clear

sum
des

keep featrd_page_index title revid1 wordcount1 linkcount_article wiki_link link_title
rename title page_L0_title
rename wiki_link link_to_L1_page_title
gen  link_position_in_L0 = linkcount_article + 1 /*fix Pythons numbering */
drop linkcount_article

gen page_title = link_to_L1_page_title
gen start_page_name = page_L0_title


*** some links appear multiple times in originating page:
*******
duplicates report page_L0_title link_to_L1_page_title

sort start_page_name page_title link_position_in_L0

by start_page_name page_title: gen num_repetitions_link = _N
by start_page_name page_title: egen max_link_position = max(link_position_in_L0)
by start_page_name page_title: gen flag_first_link = (_n == 1)
by start_page_name: gen num_L0_links = _N

keep if flag_first_link 

duplicates report page_L0_title link_to_L1_page_title

* test merge with page_titles (to get page_ids) -- weird
*****************************

count
merge m:1 page_title start_page_name using "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_treated_page_titles.dta"
rename _merge merger_pos_title
tab merger_pos_title
drop if merger_pos_title ==2
count

sort featrd_page_index link_position_in_L0 
order link_to_L1_page_title  page_id
***checked: surprisingly many links that actually ARE in the page are excluded by my restrictions
* browse
tab merger_pos_title
rename page_id test_page_id_from_link_pos_data
save  "${PATH_DISASTER_SAMPLES}wiki`DisPod'_position_`linkdistance'_link_in_L0.dta", replace
sum

* now Open the peak data
*************************

local startdata "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_with_L0_peaks.dta"
use "`startdata'", clear

* merge with page_titles (to be able to merge on titles with link-position data)
*********************

count

merge m:1 page_id using "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_page_titles.dta"
rename _merge merger_peak_id

tab merger_peak_id
keep if merger_peak_id == 3
** ok.

sum


** merge the two datasets (on page title)
*************************

* reduce peaks to actually treated (as is true for link_positions).
*******************
keep if flag_treated & placebo_state == 0
count
*merge 1:m page_title using "${PATH_DISASTER_SAMPLES}wiki`DisPod'_position_`linkdistance'_link_in_L0.dta"
*tab merger_Peaks_link_posit
** 3589 of 3792 could be matched (though oddly 898 from master are reported without match ==> duplicates
** 3589 of 3792 could be matched (though oddly 898 from master are reported without match ==> duplicates
*** ==> removed duplicates and recorded link-repetition already at insheeting.

count
merge 1:m start_page_name page_title using "${PATH_DISASTER_SAMPLES}wiki`DisPod'_position_`linkdistance'_link_in_L0.dta"
rename _merge merger_Peaks_link_posit
tab merger_Peaks_link_posit
** 2,816 of 3792 could be matched (though oddly 898 from master are reported without match ==> Umlaut-issue 
	** probably a utf-8 vs. ANSI conflict. (for now assume it's random)

bys merger_Peaks_link_posit: sum peak_clicks page_length num_authors num_revisions

keep if merger_Peaks_link_posit == 3

compress
order page_id test_page_id_from_link_pos_data max_link_position num_repetitions_link  /*
	*/ link_position_in_L0 num_L0_links wordcount1 link_to_L1_page_title

*** Open question: Still relatively few matches from link-position to page_titles -- was I too restrictive
*** ==> check once more once the ANSi problem is cleared.?!?

* browse
* check startdata: but for the ANSI UTF, looks ok.

* first shot: five link groups...
********************

gen link_position_relative = link_position_in_L0/num_L0_links*100
gen sq_link_position_relative = link_position_relative*link_position_relative

gen max_link_position_rel = max_link_position/num_L0_links*100

gen flag_link_20_1 = 0.0 < link_position_relative & link_position_relative <= 20.0
gen flag_link_20_2 = 20.0 < link_position_relative & link_position_relative  <= 40.0
gen flag_link_20_3 = 40.0 < link_position_relative & link_position_relative  <= 60.0
gen flag_link_20_4 = 60.0 < link_position_relative & link_position_relative  <= 80.0
gen flag_link_20_5 = 80.0 < link_position_relative & link_position_relative  <= 100.0
gen link_20_aggregator = 1*flag_link_20_1 + 2*flag_link_20_2 + 3*flag_link_20_3 +4*flag_link_20_4 +5*flag_link_20_5 


* clicks/link
*****************
gen L0_clicks_per_link = L0_peak_clicks/num_L0_links
gen convert_abs_clicks_edits = del_num_revisions/clicks

gen convert_peak_clicks_edits = peak_del_num_revisions/peak_clicks
gen convert_peak_clicks_bytes = del_page_length/peak_clicks

* edit - quality (crude proxies)
*****************
gen abs_del_page_length = abs(del_page_length)
gen flag_activity = del_num_revisions > 0 

gen convert_peak_clicks_activity = flag_activity/peak_clicks 

* a few sanity checks
******
by link_20_aggregator, sort: sum peak_clicks
by num_repetitions_link, sort: sum peak_clicks


save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_with_link_position_in_L0.dta", replace


clear
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
