/***********/ local filename = "wikidis_cr_data_samples" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close



include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file splits up the start data in three distinct datasets of start pages, L1 pages, L2 pages (and possibly later placebo stored seperately)
desc_end ***/




local startdata = "${PATH_DISASTER_DATA}/wiki`DisPod'_all_pages.dta"	
local titledata = "${PATH_DISASTER_DATA}/wiki`DisPod'_page_titles.dta"	

use "`startdata'", clear


foreach distance in `link_distances_numbers' /* requires just the number for the keep condition */  {
	preserve
	keep if link_distance_from_startpage == `distance'
	save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_L`distance'_pages.dta", replace
	restore
}



use "`titledata'", clear


foreach distance in `link_distances_numbers' /* requires just the number for the keep condition */  {
	preserve
	keep if link_distance_from_startpage == `distance'
	save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_L`distance'_page_titles.dta", replace
	keep if flag_treated
	save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_L`distance'_treated_page_titles.dta", replace
	restore
}

 

clear
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
