/****************/ local filename="wikidis_cr_insheet_tuple_data" /***************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close


include "${PATH_PLUGIN}wikidis_plugin_locals.do"
include "${PATH_EXTRA_PLUGIN}print_execute.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file insheets the csv. raw-data form data wave 2 and saves them
desc_end ***/


local path_raw_data = "${PATH_RAW_DATA_LOCATION}" 
	/*replace by the path_raw_data_global later*/ 
local path_store_data = "${PATH_INSHEET_DSH}"
	/*replace by the path_wikidis_data later*/
local datawave_date "${DATAWAVE_DATE}"
local datawave "${DATAWAVE}"
	
** insheet invariant

	clear
	pe insheet using "`path_raw_data'wiki`DisPod'_export_time_invariant_`datawave'_`datawave_date'.csv"
	sum
	* browse
	
	
** store page_titles in seperate file	
	preserve
	keep page_title page_id link_distance_from_startpage start_page_name flag_treated  day_of_month
	save `path_store_data'wiki`DisPod'_page_titles_insheet.dta, replace
	pe save ${PATH_DISASTER_DATA}wiki`DisPod'_page_titles.dta, replace
	sum
	restore

** store everything else in time-invariant file
	
	drop page_title
	pe save `path_store_data'wiki`DisPod'_time_invariant_insheet.dta, replace

	
	if "`DisPod'" == "PoD" & "`datawave'" == "4"{
	** temporary fix to add day of week (from the 130425-file):
					/* KEEP THIS DATE !! it must be HARDCODED!!, */
		insheet using "`path_raw_data'wiki`DisPod'_export_time_invariant_130425.csv", clear
					/* because the controls in 130425 don't match with controls from 130420 */
		keep page_id eve_day_of_week
		save "`path_store_data'\wikiPoD_day_of_week.dta", replace
		clear
		
		use "`path_store_data'/wikiPoD_time_invariant_insheet.dta"
		merge 1:1 page_id using "`path_store_data'\wikiPoD_day_of_week.dta"
		
		** kick the other set of control-pages from the 130425-dataset
		drop if _merge == 2
		drop _merge
		
		** add the eve_day_of_week for controls that were not in 130425-dataset.
		gsort wiki_eve_name link_distance_from_startpage -flag_treated
		by wiki_eve_name: replace eve_day_of_week = eve_day_of_week[1]


		
		
		save `path_store_data'wiki`DisPod'_time_invariant_insheet.dta, replace

	}	
		
	
** insheet time variant (big file)	
	clear
	pe insheet using "`path_raw_data'wiki`DisPod'_export_time_variant_`datawave'_`datawave_date'.csv"
	sum
	pe save `path_store_data'wiki`DisPod'_time_variant_insheet.dta, replace
	
