/***********/ local filename = "wikidis_cr_PoD_link_removed_from_L0_text" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close


include "${PATH_EXTRA_PLUGIN}print_execute.do"

include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file ...
puts together the Link_peak dataset and the dataset that contains info on the position of the link in the original L0-text
desc_end ***/


*foreach linkdistance in L2 {
local linkdistance L1

* Pepare the Link_Position_data
***********************************

local first_last first
foreach first_last in last first{

	local linkposition_data_path "${PATH_TO_DATA_PREP}Python_determine_Link_Position/"
	** global PATH_DISASTER_TEMP "`linkposition_data_path'sdt"

	local linkposition_data_raw "pagelinks_PoD_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}_linklist_`first_last'_rev_of_day.txt"
	local linkposition_data_unique "pagelinks_PoD_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}_linklist_`first_last'_rev_unique.dta"

	di "`linkposition_data_raw'"
	pe insheet using "`linkposition_data_path'`linkposition_data_raw'", clear

	sum
	des
	
	browse
	
	
	keep featrd_page_index title revid1 wordcount1 linkcount_article wiki_link link_title
	rename title page_L0_title
	rename wiki_link link_to_L1_page_title
	gen  link_position_in_L0 = linkcount_article + 1 /*fix Pythons numbering */
	drop linkcount_article

	gen page_title = link_to_L1_page_title
	gen start_page_name = page_L0_title


	*** some links appear multiple times in originating page:
	*******
	duplicates report page_L0_title link_to_L1_page_title

	sort start_page_name page_title link_position_in_L0

	by start_page_name page_title: gen num_repetitions_link = _N
	by start_page_name page_title: egen max_link_position = max(link_position_in_L0)
	by start_page_name page_title: gen flag_first_link = (_n == 1)
	by start_page_name: gen num_L0_links = _N

	keep if flag_first_link 
	format page_title page_L0_title %-20s
	format link_to_L1_page_title  %-20s
	format link_title start_page_name %-20s

	duplicates report page_L0_title link_to_L1_page_title
	save "${PATH_DISASTER_TEMP}`linkposition_data_unique'", replace
}

** Briefly glance at datasets:
foreach first_last in first last {
	local usedata "pagelinks_PoD_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}_linklist_`first_last'_rev_unique.dta"
	use "${PATH_DISASTER_TEMP}`usedata'", clear

	** do some descriptives here?
	sum
	di ""
	pe count
	duplicates report page_title start_page_name
	/* generally liinks were rather added than removed */
	}


** now merge them to find removed links...
local first_last ""
local links_first_rev_data "pagelinks_PoD_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}_linklist_first_rev_unique.dta"
local links_last_rev_data "pagelinks_PoD_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}_linklist_last_rev_unique.dta"

****
* Links that were added ore removed.
****


use "${PATH_DISASTER_TEMP}`links_first_rev_data'", clear
merge 1:1 page_title start_page_name using "${PATH_DISASTER_TEMP}`links_last_rev_data'"
tab _merge
* browse if _merge == 1

preserve
* removed links
********************

keep if _merge == 1
save "${PATH_DISASTER_SAMPLES}wikiPoD_link_removed_from_L0_text_full_for_merging", replace

keep if num_repetitions_link == 1
assert page_L0_title == start_page_name
assert link_to_L1_page_title == page_title
keep page_title featrd_page_index revid1 start_page_name  num_repetitions_link 

* browse
save "${PATH_DISASTER_TEMP}wikiPoD_link_removed_from_L0_text_full_input_for_hourly_clicks", replace
di "${PATH_DISASTER_TEMP}wikiPoD_link_removed_from_L0_text_full_input_for_hourly_clicks"
outsheet using "${PATH_DISASTER_TEMP}wikiPoD_link_removed_from_L0_text_full_input_for_hourly_clicks.csv", replace comma

restore
* added links
**************************
keep if _merge == 2
save "${PATH_DISASTER_SAMPLES}wikiPoD_link_added_to_L0_text_full_for_merging", replace

keep if num_repetitions_link == 1
assert page_L0_title == start_page_name
assert link_to_L1_page_title == page_title
keep page_title featrd_page_index revid1 start_page_name  num_repetitions_link 

* browse
save "${PATH_DISASTER_TEMP}wikiPoD_link_added_from_L0_text_full_input_for_hourly_clicks", replace
di "${PATH_DISASTER_TEMP}wikiPoD_link_added_from_L0_text_full_input_for_hourly_clicks"
outsheet using "${PATH_DISASTER_TEMP}wikiPoD_link_added_from_L0_text_full_input_for_hourly_clicks.csv", replace comma


** If Justus needs the timestamp from me:

put "rawdata-files" to one dataset (csved already)
merge on page_l0_title

get time-stamp...





