/***********/ local filename = "wikidis_cr_shock_crosssection_dis" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close



include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file 
generates crosssection-data files, that summarize 
	i.) the peak,
	ii.) the overall effect of the event 
	and iii.) allow relating it to the size of the original shock...
desc_end ***/


* NOTA BENE: for disasters several L1 articles are the origin for one event Hence:
	* do it only for L2
	* collapse L1_dis to one observation/set of neighbors (take totals) as reference for "initial shock"

*foreach linkdistance in L2 {
local linkdistance L2
	* do it only for L2

	local DisPod = "dis"
	local startdata = "${PATH_DISASTER_DATA}wikidis_`linkdistance'_pages.dta"	


*** open dataset
use "`startdata'", clear



*** new variables that contain peak
a

*** new variables that contain diff-14to-1 and diff0to13
b

*** collapse L1_dis to one observation/set of neighbors (take totals) as reference for "initial shock"

* check L1 data
* collapse all observations for one event.
then merge

clear
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
