set more off, permanently

local path_data "D:\workspace\AAA_wikipedia\wiki_disasters\trunk\wikidis_data\PoD_data\"
use `path_data'wikiPoD_preparation_steps\wikiPoD_insheet_DSHorTxt\wikiPoD_time_invariant_insheet.dta, clear

local sleeptime 5000


sort page_id
by page_id: gen id_counter = _N


assert id_counter == 1

di _n _n "*******" _n "passed all tests" _n "********" _n _n
clear

local linkdistance 1
use `path_data'wikiPoD_samples\wikiPoD_L`linkdistance'_post_cleaning.dta

sort page_id
 
bys time_var: sum SNwik_degree
bys time_var: sum SNwik_degree num_links_from_l1 num_links_to_l1 sum_clicks_on_neighbor_l1 num_authors

preserve
collapse SNwik_degree num_links_from_l1 num_links_to_l1 sum_clicks_on_neighbor_l1 /*
	*/num_authors page_length num_refs num_revisions, by (time_var flag_treated placebo_state)

line SNwik_degree  time_var if flag_treated & placebo_state==0
sleep `sleeptime'

line num_links_to_l1  time_var if flag_treated & placebo_state==0, lwidth(thick)
sleep `sleeptime'

foreach depvar in num_authors page_length num_refs num_revisions num_links_to_l1 num_links_from_l1{

	twoway (line `depvar'  time_var if flag_treated & placebo_state==0, lwidth(thick) ) || /*
		 */(line `depvar'  time_var if flag_treated & placebo_state==1) || /*
		 */ (line `depvar'  time_var if flag_treated==0 & placebo_state==0) /*
		*/ ,legend(label(1 "treated") label(2 "placebo") label (3 "control"))

		
		sleep `sleeptime'

	}
	
	exit
	
