clear all
set more off

local path_repo /home/mkm/Desktop/wikipedia/wikidis/
* local path_repo ${PATH_TO_REPO}
cd `path_repo'
include trunk/wikidis_do_files/wikidis_meta/print_execute


local wave_1 "Ti10"
local wave_1_freq "_"
local wave_1_date "130420"
local path_1 `path_repo'wikidis_raw_data_ignore/wikiPoD_export_wave_4_130420

local wave_2 "D20"
local wave_2_freq "_daily_"
local wave_2_date "140804"
local path_2 `path_repo'wikidis_raw_data_ignore/wikiPoD_export_waveD20_daily_140804
local path_2 `path_repo'wikidis_raw_data_ignore/wikiPoD_export_wave`wave_2'`wave_2_freq'`wave_2_date'


local wave_3 "D05"
local wave_3_freq "_daily_"
local wave_3_date "140828"
local path_3 `path_repo'wikidis_raw_data_ignore/wikiPoD_export_waveDD05_daily_140828
local path_3 `path_repo'wikidis_raw_data_ignore/wikiPoD_export_wave`wave_3'`wave_3_freq'`wave_3_date'

/*
wikidis_meta_master:

.) run the "wikidis_gen_PoD_`wave' for all (e.g. three) waves.
.) run the mergefile
=> .) run the master_do (with PoD and those wave-settings) -- which for now are still set in the central_default_paths...
*/


local merge_freq "_merge_daily_"
local merge_date "140920"


local number_waves 3
forvalues i = 1/`number_waves' {
	local waves_to_merge  "`waves_to_merge' `wave_`i''"
	local merge_wave "`merge_wave'`wave_`i''"
	local wave_`i'_folder "`path_`i''"
	di "`merge_wave'"
	* local wave_`i'_var_file wikiPoD_export_time_invariant_Ti10_130420.dta
	local wave_`i'_inv_file wikiPoD_export_time_invariant_`wave_`i''_`wave_`i'_date'
	* local wave_`i'_inv_file wikiPoD_export_time_variant_Ti10_130420
	local wave_`i'_var_file wikiPoD_export_time_variant_`wave_`i''_`wave_`i'_date'
	di "`wave_`i'_inv_file'.blub"
	}


local merge_folder `path_repo'wikidis_raw_data_ignore/wikiPoD_export_wave`merge_wave'`merge_freq'`merge_date'
cap mkdir `merge_folder'
cap mkdir `merge_folder'/temp

** move waves

forvalues i = 1/`number_waves' {

	di "wave_`i'_inv_file is `wave_`i'_inv_file'.dta"
	di "`wave_`i'_inv_file'.blub"
	* insheet `wave_`i'_folder'/`wave_`i'_inv_file'.csv
	
	
	** INvariant dataset
	pe use `wave_`i'_folder'/`wave_`i'_inv_file'.dta
		** generating a merger-unique page_id -- keeping old one as "sql_page_id"
		rename page_id sql_page_id
		label var sql_page_id "Original page id in database"
		tostring sql_page_id, generate(temp_page_id)
		gen page_id = "`wave_`i''"+temp_page_id 
		drop temp_page_id
	pe save `merge_folder'/temp/`wave_`i'_inv_file'.dta, replace

	
	** Variant dataset
	* insheet `wave_`i'_folder'/`wave_`i'_var_file'.csv
	pe use `wave_`i'_folder'/`wave_`i'_var_file'.dta
		** add wave index:
		gen wave_idx = "`wave_`i''"
		** generating a merger-unique page_id -- keeping old one as "sql_page_id"
		rename page_id sql_page_id
		label var sql_page_id "Original page id in database"
		tostring sql_page_id, generate(temp_page_id)
		gen page_id = "`wave_`i''"+temp_page_id 
		drop temp_page_id
	pe save `merge_folder'/temp/`wave_`i'_var_file'.dta, replace
	
	}

cd `merge_folder'	

*read INvariant
*** read wave 1:

local merged_inv_file wikiPoD_export_time_invariant_`merge_wave'_`merge_date'
local merged_var_file wikiPoD_export_time_variant_`merge_wave'_`merge_date'


use temp/`wave_1_inv_file'.dta, clear
forvalues i = 2/`number_waves' {
	append using temp/`wave_`i'_inv_file'.dta
	}


rename eve_id sql_orig_eve_id
sort sql_orig_eve_id wiki_eve_name
egen eve_id = group(day_of_month  wiki_eve_name)
outsheet using `merged_inv_file'.csv, replace comma

order eve_id sql_orig_eve_id wiki_eve_name
* browse	

*read VARIANT
*** read wave 1:

use temp/`wave_1_var_file'.dta, clear
forvalues i = 2/`number_waves' {
	append using temp/`wave_`i'_var_file'.dta
	}
outsheet using `merged_var_file'.csv, comma replace

das wars....

