local example_file example
cap file open `example_file' using example.tex , read
cap file close `example_file'

preserve

sysuse auto


gen time_var = 1
**** objects in estimation:
/* check out how many events, pages, observatoins and days are in the dataset  
	and provide that info as local */
	
	local time time_var /* add some dummy if it is a crosssection */
	local obs_id make
	local cluster_id foreign

	cap drop groups_of_*
	cap drop estim_*
	
	sort `cluster_id' `time' 
	egen groups_of_clusters = group(`cluster_id')
	sort `cluster_id' `obs_id' `time' 
	egen groups_of_distinct_obs = group(`cluster_id' `obs_id')
	sort `time'
	egen number_of_periods = group(`time')

	
	egen estim_clusters = max(groups_of_clusters)
	egen estim_distinct_obs = max(groups_of_distinct_obs)
	egen estim_number_of_periods = max(number_of_periods)


	
	local clusters_in_estimation = estim_clusters[1]
	local distinct_obs_in_est = estim_distinct_obs[1]
	local periods_in_estimation = estim_number_of_periods[1]
	count
	local num_obs_in_estimation `r(N)'
	
	sum estim_*  groups_of_*
	


local signs_to_erase_in_notes 20
local notetext \vspace*{0.1cm}\hspace{0.3cm}\parbox{12.8cm}{\scriptsize{{\scshape Notes:} /*
				*/ \tiny{Inhaltlich ist der text hier freilich bldsinn, aber man beachte , dass /*
				*/ Produkt und Beobachtungszahl stimmt. Columns (1), (2), (4), and (5) show IV-Panel regressions, columns (3) and (6) /*
				*/ show simple Panel regressions; dependent variable in columns (1-3): clicks per week , /*
				*/dependant variable in columns (4-6): LCTs per week; standard errors in parentheses: /*
				*/ *** p<0.01, ** p<0.05, * p<0.1; no. of obs. = `num_obs_in_estimation'; no. of firms = `clusters_in_estimation' ; /*
				*/ no. of products = `distinct_obs_in_est'.\\    }}}


eststo: quietly reg weight mpg, robust cluster(`groups_of_clusters')
eststo: quietly reg weight mpg foreign, robust cluster(`groups_of_clusters')
eststo: quietly reg price weight mpg, robust cluster(`groups_of_clusters')
eststo: quietly reg price weight mpg foreign, robust cluster(`groups_of_clusters')

local writefile "minimal_example.tex"
esttab using `writefile', replace booktabs label            ///
    mgroups("Hallo Jan-Peter" "Hoffe es ist ntzlich", pattern(1 0 1 0)                   ///
        prefix(\multicolumn{@span}{c}{) suffix(})   ///
        span erepeat(\cmidrule(lr){@span}))         ///
    alignment(D{.}{.}{-1}) page(dcolumn) nonumber 
	* note(`notetext')
eststo clear
restore




file open `example_file' using `writefile' , read write
file seek `example_file' eof
file seek `example_file' query
di r(loc)
local position = r(loc) - 212
di "`position'"
file seek `example_file' `position'
file write `example_file' _n "\end{tabular} }" _n
file write `example_file' "`notetext'" _n _n
file write `example_file' "\end{document}" _n _n

file close `example_file'
