
local texoutput_file "BLABLIBLUB.tex" /* file for collecting tables */
local table_slides_path "${PATH_PAPER_MAIN}my_slides"
local table_stand_alone_path `clever_outpath'
cap mkdir `table_stand_alone_path'

include "${PATH_EXTRA_PLUGIN}print_execute.do"

local estlabel "MeaningFulLLabel" /* if in loop: pick sth that depands on iterable */

/* estimates */


* pe xtreg regress `depvar' `var_of_interest', fe etc. 
estimates store `estlabel'1
estadd ysumm

estimates store `estlabel'2
estadd ysumm

estimates store `estlabel'3
estadd ysumm

estimates store `estlabel'4
estadd ysumm


	**** objects in table:
	/* check out how many events, pages, observatoins and days are in the dataset  
		and provide that info as local */
		local time time_var 		/* add some dummy if it is a crosssection */
		local obs_id page_id		/* specify the adequate variable */
		local cluster_id start_page_name
		
		include ${PATH_EXTRA_PLUGIN}esttab_plugin_compute_num_obs_for_table.do  /* make sure the file is available */

 
* extend as required

	local regs_to_include " `estlabel'1 `estlabel'2 `estlabel'3 `estlabel'4"
	local mgroupsoption " "Group 1" "Group 2", pattern(1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(})   span erepeat(\cmidrule(lr){@span})" 
	local columntitles A B C D
	local estusingfile "`table_slides_path'/`texoutput_file'"
	local titletext "Relationship of X and `depvar'. Dependent variable: `depvar'"
	local scaling "50" /* in percent (0-100) */
	local widthlocal "16.5cm"  /* hochformat 16.5cm; querforma t 24.5cm */
	local addnotetext1 "Pooled OLS-Regressions with robust standard errors."
	local addnotetext2 "Only x y z. Dependent Variable: `outcome`x''."
	local signs_to_erase_in_notes 7 /* note: make sure that a suitable \end{tabular} statement remains in the file 
												-- usually via the "substitute()" command in esttab or directly in the notetext */
	local notetext \end{tabular*} \vspace*{0.3cm}\hspace{0.3cm}\parbox{`widthlocal'}{\scriptsize{{\scshape Notes:} /*
				*/ \scriptsize{The table shows the results of the reduced form regressions to estimate the ITE.   /*
				*/ Columns (1)-(3) show the results for clicks and Columns (4-6) for new edits to the articles. /*
				*/ Specification (1) and (4) contrast treated and comparison group; /*
				*/ (2) and (5) show the comparison of treated articles with themselves but seven weeks earlier (placebo treatment). /*
				*/ In Columns (3) and (6) I juxtapose the treated subnetworks with all available comparison  groups at the same time. /*
				*/ Fixed Effects Panel-Regressions with heteroscedasticity robust standard errors. /*
				*/ The unit of observations is the outcome of a page i on day t. /* 
				*/ The time variable is normalized and runs from -14 to 14.;  /*
				*/ Only crossterms closer to treatment are shown, but all were included. /*
				*/ Reference group t-14 to t-5; standard errors in parentheses: *** p<0.01, ** p<0.05, * p<0.1; /*
				*/ no. of obs. = `num_obs_in_estimation'; /*
				*/ no. of clusters = `clusters_in_estimation'; no. of articles = `distinct_obs_in_est'.\\    }}}	

	local tableonlyfile "`table_stand_alone_path'`filename'_`estlabel'.tex"
	local latexlabel `estlabel' /* don't change the name of local if you want the label in latex) !!
			N.B.: most of the times the same sometimes not (e.g. when several customizations of tables needed)*/
	
	/* oder nach tni-style und mit APPEND */
	esttab `regs_to_include'/*
		*/ using `estusingfile', append booktabs `control_spec' /* ar2 */ /*
		*/ starlevels( * 0.10 ** 0.05 *** 0.01)  width(`widthlocal') /*
		*/ nodepvars compress  se(3)  b(3) t(2) /*
		*/ mtitles(`columntitles') /* nomtitles */ /*
		*/ title("`titletext' \label{tab:`latexlabel'}")   /*
		*/ addnote("`addnotetext1'" "`addnotetext2'")	 /*
		*/ topfile(${PATH_STATA_LOCAL}beg`scaling'_tni.tex) bottomfile(${PATH_STATA_LOCAL}end_tni.tex) 
		** export results to .tex file for presentation 
		
	esttab `regs_to_include'/*
		*/ using `tableonlyfile', replace booktabs `control_spec' /* ar2 */ /*
		*/ stats(N N_g r2_a, fmt(0 0 3) labels("Observations" "Number of Pages" "Adj. R$^2$")) /* 
			in plugin_locals definieren
		*/ starlevels( * 0.10 ** 0.05 *** 0.01)  width(`widthlocal') /*
			in plugin_locals definieren
		*/  se(3)  b(3) t(2) /*  nodepvars compress (nodepvars: no modeltitles, compress: no \addlinespace)
			in plugin_locals definieren
		*/ coeflabels(`nice_labels')/* 
			in plugin_locals definieren
		*/ nodepvars compress  /*
		*/ mgroups(`mgroupsoption') /*
		*/ mtitles(`columntitles') /*
		*/ title("`titletext' \label{tab:`latexlabel'}")   /*
		addnote("`addnotetext1'" "`addnotetext2'")	  no more addnotetext, as this is to be overwriten by the notetext... 
		*/ substitute("\begin{tabular*}" " \fontsize{9}{11} \linespread{0.7} \selectfont \begin{tabular*}" /*
			*/ "\begin{tabular}" " \fontsize{9}{11} \linespread{0.7} \selectfont \begin{tabular}" /*
			*/ _ "\_" "\end{tabular}" "\end{tabular*}")  

		topfile(${PATH_STATA_LOCAL}beg`scaling'_tni.tex) bottomfile(${PATH_STATA_LOCAL}end_tni.tex) 
		** export results to .tex file for presentation */
	
	/* call file that includes tablenotes */
	include ${PATH_EXTRA_PLUGIN}esttab_plugin_add_nice_notes_to_table.do
	
	/* optionally write into a file_includer file which helps to quickly look at the tables in a pdf */
	
	* file write  `file_includer' "\begin{landscape}" _n
	file write  `file_includer' _n "\input{`tableonlyfile'}" _n 
	* file write  `file_includer' "\end{landscape}" _n
	file write  `file_includer' _n
