/* beautiful summary-table with estpost summarize and esttab */
	local file_includer sutex_includer
	
	local vars_to_summarize `core_outcomes' `core_SN_vars' `further_SN_vars'
	local if_condition
	local TableNameLabel "SumstatsCorePanel"
	local titletext "Summary statistics: `TableNameLabel' of main variables"

	estpost summarize `vars_to_summarize' `if_condition', detail   
	esttab  . using "${PATH_DESCRIPTIVES_TABLES}`TableNameLabel'.tex", /*
		*/ cells("count mean(fmt(%11.2g)) sd(fmt(%11.2g)) min(fmt(%11.2g)) p10(fmt(%11.2g)) p90(fmt(%11.2g)) max(fmt(%11.2g))")   /*
		*/ align(|crrrrrrr) /* note: align has to have two more columns than cells!!
		*/ noobs  title(`titletext' \label{tab:`TableNameLabel'}) nonumber not star compress /*
		*/ nolabel booktabs replace /*
		*/ order(`stand_varorder') /*
		*/ coeflabels(`varname_labels') /*
		*/ substitute("\begin{tabular*}" " \fontsize{9}{11} \linespread{0.7} \selectfont \begin{tabular*}" /*
				*/ "\begin{tabular}" " \fontsize{9}{11} \linespread{0.7} \selectfont \begin{tabular}" /*
				*/ _ "\_" )
		
	file write  `file_includer' "\begin{landscape}" _n
	file write  `file_includer' "\input{${PATH_DESCRIPTIVES_TABLES}`TableNameLabel'.tex}" _n
	file write  `file_includer' "\end{landscape}" _n

	
/* alternative sumstats - table with sutex */
	
	/* 	sutex `core_outcomes' `core_SN_vars' `further_SN_vars' time_var, digits(3) minmax file(${PATH_PANEL_TABLES}/sumstats_core_panel.tex)/*
		*/ title(Summary statistics of the panel data.) replace	
		file write sutex_includer "\input{${PATH_PANEL_TABLES}/sumstats_core_panel.tex}" _n
	*/

/* Tabulate a Variable to tex */

	tabout wiki_eve_name  using "${PATH_DESCRIPTIVES_TABLES}Tabulate_Events_`linkdistance'.tex", replace style(tex)
